TransactedPollingMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.TransactedPollingMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class TransactedPollingMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.TransactedPollingMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

Direct Known Subclasses:
  JdbcMessageReceiver, VMMessageReceiver, XaTransactedJmsMessageReceiver

    public abstract class TransactedPollingMessageReceiver

extends AbstractPollingMessageReceiver

The TransactedPollingMessageReceiver is an abstract receiver that handles polling and transaction management. Derived implementations of these class must be thread safe as several threads can be started at once for an improveded throuput.

Nested Class Summary
`protected class` | `TransactedPollingMessageReceiver.MessageProcessorWorker`

Field Summary

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`TransactedPollingMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`
`TransactedPollingMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint, long frequency)` Deprecated. please use `#TransactedPollingMessageReceiver(Connector,Service,InboundEndpoint,long,TimeUnit)` instead

Method Summary
`void` | `doStart()`
`protected abstract List` | `getMessages()`
`boolean` | `isReceiveMessagesInTransaction()`
`boolean` | `isUseMultipleTransactedReceivers()`
`void` | `poll()`
`protected abstract void` | `processMessage(Object message)`
`void` | `setReceiveMessagesInTransaction(boolean useTx)`
`void` | `setUseMultipleTransactedReceivers(boolean useMultiple)`

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`createWork, doStop, getFrequency, getTimeUnit, schedule, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doConnect, doDisconnect, doDispose, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### TransactedPollingMessageReceiver

    public TransactedPollingMessageReceiver(Connector connector,
                                            Service service,
                                            InboundEndpoint endpoint)
                                     throws CreateException

Throws:
  `CreateException`

### TransactedPollingMessageReceiver

    public TransactedPollingMessageReceiver(Connector connector,
                                            Service service,
                                            InboundEndpoint endpoint,
                                            long frequency)
                                     throws CreateException

  Deprecated. please use `#TransactedPollingMessageReceiver(Connector,Service,InboundEndpoint,long,TimeUnit)` instead

  Throws:
    `CreateException`

Method Detail

### isReceiveMessagesInTransaction

    public boolean isReceiveMessagesInTransaction()

### setReceiveMessagesInTransaction

    public void setReceiveMessagesInTransaction(boolean useTx)

### isUseMultipleTransactedReceivers

    public boolean isUseMultipleTransactedReceivers()

### setUseMultipleTransactedReceivers

    public void setUseMultipleTransactedReceivers(boolean useMultiple)

### doStart

    public void doStart()
                 throws MuleException

  Overrides:
    `doStart` in class `AbstractPollingMessageReceiver`
  Throws:
    `MuleException`

### poll

    public void poll()
              throws Exception

  Specified by:
    `poll` in class `AbstractPollingMessageReceiver`
  Throws:
    `Exception`

### getMessages

    protected abstract List getMessages()
                                 throws Exception

  Throws:
    `Exception`

### processMessage

    protected abstract void processMessage(Object message)
                                    throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.